Subject: Re: [siprec] a=recordpref:nopreference value?

From: Leon Portman <[email-masked]>
Date: Sun, 3 Jul 2011 13:37:51 +0300

I am ok with both. Adding nopreference can improve readability of the message

Leon

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Elwell, John
Sent: Wednesday, June 29, 2011 7:47 PM
To: Henry Lum; [email-masked]
Subject: Re: [siprec] a=recordpref:nopreference value?

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Henry Lum
> Sent: 29 June 2011 02:48
> To: [email-masked]
> Subject: [siprec] a=recordpref:nopreference value?
> 
> Hi,
> 
>  
> 
> One of the questions in the interim meeting is about whether we need a 
> separate value in recording preference to indicate "no preference". 
> Currently we are assuming the absence of such attribute a=recordpref 
> means there is no indication. In the meeting it was brought up that 
> not putting the indication can also mean the UA is unaware of this 
> attribute.
> 
>  
> 
> If we add the value no preference to the attribute, I think this 
> implies that a recording-aware UA must always include this attribute 
> to indicate that it is recording-aware plus it is including the 
> preference in all offer/answer. I don't feel too strongly about 
> requiring this because this makes SDP a bit too chatty to indicate no 
> preference.
[JRE] We will have a SIP option tag to indicate recording-aware, won't we? So I don't think needing to distinguish between aware and unaware is a valid argument. Having said that, I don't object to having a 'no preference' value, but I don't have a strong opinion.

John (as individual)

> 
>  
> 
> What do others think?
> 
>  
> 
> Henry
> 
>  
> 
> 
> CONFIDENTIALITY NOTICE: This e-mail and any files attached may contain 
> confidential and proprietary information of Alcatel-Lucent and/or its 
> affiliated entities. Access by the intended recipient only is 
> authorized. Any liability arising from any party acting, or refraining 
> from acting, on any information contained in this e-mail is hereby 
> excluded. If you are not the intended recipient, please notify the 
> sender immediately, destroy the original transmission and its 
> attachments and do not disclose the contents to any other person, use 
> it for any purpose, or store or copy the information in any medium. 
> Copyright in this e-mail and any attachments belongs to Alcatel-Lucent 
> and/or its affiliated entities.
> 
_______________________________________________
siprec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/siprec